print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecompost = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local pricecherry = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	if node ~= 0 then
	
	local compostHudFile = "hud/hud_fill_compost.dds"
	local compostHudFileSmall = "hud/hud_fill_compost_sml.dds"
	local cherryHudFile = "hud/hud_fill_cherry.dds"
    local cherryHudFileSmall = "hud/hud_fill_cherry_sml.dds"

	local compostFilType = g_fillTypeManager:addFillType("COMPOST", g_i18n:getText("compost"), true, pricecompost * 2.0, 0.00045, math.rad(10), compostHudFile, compostHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	local cherryFilType = g_fillTypeManager:addFillType("CHERRY", g_i18n:getText("cherry"), true, pricecherry * 2.0, 0.00045, math.rad(10), cherryHudFile, cherryHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)

	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascompost=false	
	local hascherry=false
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascompost=false
	hascherry=false
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "COMPOST" then
		hascompost=true
	end;
		if fillname == "CHERRY" then
		hascherry=true
	end;
end;

		if hasmaize and not hascompost then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("COMPOST")
		local price = g_fillTypeManager:getFillTypeByName("COMPOST").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COMPOST")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if hasmaize and not hascherry then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CHERRY")
		local price = g_fillTypeManager:getFillTypeByName("CHERRY").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CHERRY")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)