print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecompost = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local pricepear = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	if node ~= 0 then
	
	local compostHudFile = "huds/hud_fill_compost.dds"
	local compostHudFileSmall = "huds/hud_fill_compost_sml.dds"
	local pearHudFile = "huds/hud_fill_pear.dds"
    local pearHudFileSmall = "huds/hud_fill_pear_sml.dds"

	local compostFilType = g_fillTypeManager:addFillType("COMPOST", g_i18n:getText("compost"), true, pricecompost * 2.0, 0.00045, math.rad(10), compostHudFile, compostHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	local pearFilType = g_fillTypeManager:addFillType("PEAR", g_i18n:getText("pear"), true, pricepear * 2.0, 0.00045, math.rad(10), pearHudFile, pearHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)

	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascompost=false	
	local haspear=false
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascompost=false
	haspear=false
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "COMPOST" then
		hascompost=true
	end;
		if fillname == "PEAR" then
		haspear=true
	end;
end;

		if hasmaize and not hascompost then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("COMPOST")
		local price = g_fillTypeManager:getFillTypeByName("COMPOST").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COMPOST")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if hasmaize and not haspear then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PEAR")
		local price = g_fillTypeManager:getFillTypeByName("PEAR").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PEAR")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)