print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceapple = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local appleHudFile = "pallet/hud_fill_apple.dds"
	local appleHudFileSmall = "pallet/hud_fill_apple_sml.dds"
	
    local appleFilType = g_fillTypeManager:addFillType("APPLE", g_i18n:getText("apple"), true, priceapple * 1.1, 0.00045, math.rad(10), appleHudFile, appleHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasapple=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasapple=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "APPLE" then
		hasapple=true
	end;
		
end;

		if hasmaize and not hasapple then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("APPLE")
		local price = g_fillTypeManager:getFillTypeByName("APPLE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("APPLE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)